# Amuse: amuse::IntrusiveAudioGroupData Class Reference

amuse::IntrusiveAudioGroupData Class Reference

`#include <AudioGroupData.hpp>`

Inheritance diagram for amuse::IntrusiveAudioGroupData:
Collaboration diagram for amuse::IntrusiveAudioGroupData:

## Public Member Functions

| IntrusiveAudioGroupData (const IntrusiveAudioGroupData &)=delete
IntrusiveAudioGroupData & | operator= (const IntrusiveAudioGroupData &)=delete
| IntrusiveAudioGroupData (IntrusiveAudioGroupData &&other)
IntrusiveAudioGroupData & | operator= (IntrusiveAudioGroupData &&other)
Public Member Functions inherited from amuse::AudioGroupData
| AudioGroupData (unsigned char *proj, unsigned char *pool, unsigned char *sdir, unsigned char *samp)
const unsigned char * | getProj () const
const unsigned char * | getPool () const
const unsigned char * | getSdir () const
const unsigned char * | getSamp () const

## Additional Inherited Members

Protected Attributes inherited from amuse::AudioGroupData
unsigned char * | m_proj
unsigned char * | m_pool
unsigned char * | m_sdir
unsigned char * | m_samp

## Detailed Description

A buffer-owning version of AudioGroupData

Definition at line 27 of file AudioGroupData.hpp.

The documentation for this class was generated from the following file:

- include/amuse/AudioGroupData.hpp